## ros-humble-moveit-resources-panda-moveit-config 2.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.10.2)
project(moveit_resources_panda_moveit_config)
find_package(ament_cmake REQUIRED)

ament_package()

install(DIRECTORY launch DESTINATION share/${PROJECT_NAME})
install(DIRECTORY config DESTINATION share/${PROJECT_NAME})
install(FILES .setup_assistant DESTINATION share/${PROJECT_NAME})

=== debian/changelog ===
ros-humble-moveit-resources-panda-moveit-config (2.0.6-1jammy) jammy; urgency=high

  * fake_components -> mock_components (#147 <https://github.com/ros-planning/moveit_resources/issues/147>)
  * Rename cartesian_limits.yaml (#146 <https://github.com/ros-planning/moveit_resources/issues/146>)
  * Contributors: AndyZe, Tyler Weaver

 -- Mike Lautman <mike@picknik.ai>  Sun, 17 Jul 2022 21:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (2.0.5-1jammy) jammy; urgency=high

  * Fix a typo in chomp_planning.yaml (#143 <https://github.com/ros-planning/moveit_resources/issues/143>)
  * Update ros2_control launching (#140 <https://github.com/ros-planning/moveit_resources/issues/140>)
  * Proper scoping for controllers in Panda Config (#132 <https://github.com/ros-planning/moveit_resources/issues/132>)
  * Contributors: AndyZe, David V. Lu!!, Stephanie Eng

 -- Mike Lautman <mike@picknik.ai>  Fri, 24 Jun 2022 21:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (2.0.4-1jammy) jammy; urgency=high

  * Explicitly use CHOMP and OMPL planners (#135 <https://github.com/ros-planning/moveit_resources/issues/135>)
  * Rename Panda Controller Files (#127 <https://github.com/ros-planning/moveit_resources/issues/127>)
  * Fix controller_manager node's output type (#129 <https://github.com/ros-planning/moveit_resources/issues/129>)
  * Black Formatting for Launch Files (#128 <https://github.com/ros-planning/moveit_resources/issues/128>)
  * Refactor panda demo.launch to use moveit_configs_utils (#119 <https://github.com/ros-planning/moveit_resources/issues/119>)
  * Remove stomp configuration file (#126 <https://github.com/ros-planning/moveit_resources/issues/126>)
  * Restore panda_gripper_controllers.yaml. Rename panda_moveit_controllers.yaml (#117 <https://github.com/ros-planning/moveit_resources/issues/117>)
  * Delete deprecated Panda config and launch files (#98 <https://github.com/ros-planning/moveit_resources/issues/98>)
  * No initial velocity conditions (#111 <https://github.com/ros-planning/moveit_resources/issues/111>)
  * ros2_control update: initial_position -> initial_value (#110 <https://github.com/ros-planning/moveit_resources/issues/110>)
  * Update yaml parameters for moveit_configs_utils (#108 <https://github.com/ros-planning/moveit_resources/issues/108>)
  * Port PRBT packages for PILZ planner tests (#101 <https://github.com/ros-planning/moveit_resources/issues/101>)
  * Adding RPBT config (#43 <https://github.com/ros-planning/moveit_resources/issues/43>)
    to speed up test time by skipping trajectory in fake execution
  * Contributors: AndyZe, Christian Henkel, David V. Lu!!, Henning Kayser, Jafar, Jafar Abdi, Sebastian Jahr, Stephanie Eng

 -- Mike Lautman <mike@picknik.ai>  Wed, 18 May 2022 21:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (2.0.3-1jammy) jammy; urgency=high

  * Migrate to joint state broadcaster
  * Add panda_hand_controller to demo.launch.py (#87 <https://github.com/ros-planning/moveit_resources/issues/87>)
  * Add fake controller for panda_hand (#73 <https://github.com/ros-planning/moveit_resources/issues/73>)
  * Contributors: Jafar Abdi, Marq Rasmussen, Vatan Aksoy Tezer

 -- Mike Lautman <mike@picknik.ai>  Wed, 15 Sep 2021 21:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (2.0.2-1jammy) jammy; urgency=high

  * Add missing ros2_control parameters (#74 <https://github.com/ros-planning/moveit_resources/issues/74>)
  * Add Panda demo.launch.py and RViz config (#64 <https://github.com/ros-planning/moveit_resources/issues/64>)
  * Remove move group prefixes from rviz configs (#62 <https://github.com/ros-planning/moveit_resources/issues/62>)
  * Ensure panda joint limits have the proper type (#63 <https://github.com/ros-planning/moveit_resources/issues/63>)
  * Contributors: AndyZe, Henning Kayser, Vatan Aksoy Tezer

 -- Mike Lautman <mike@picknik.ai>  Sun, 23 May 2021 21:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (2.0.1-1jammy) jammy; urgency=high

  * Update panda configs for ros2_control (#51 <https://github.com/ros-planning/moveit_resources/issues/51>)
  * Contributors: Jafar Abdi, Tyler Weaver

 -- Mike Lautman <mike@picknik.ai>  Thu, 08 Apr 2021 21:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (2.0.0-1jammy) jammy; urgency=high

  * Port and modernize CMakeLists.txt + package.xml for ROS2 (#26 <https://github.com/ros-planning/moveit_resources/issues/26>, #31 <https://github.com/ros-planning/moveit_resources/issues/31>)
  * Contributors: Henning Kayser, Jafar Abdi, Mike Lautman, Nathan Brooks

 -- Mike Lautman <mike@picknik.ai>  Thu, 19 Nov 2020 21:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (0.7.1-1jammy) jammy; urgency=high

  * Fix self-colliding 'extended' pose (#42 <https://github.com/ros-planning/moveit_resources/issues/42>)
  * Contributors: Henning Kayser

 -- Mike Lautman <mike@picknik.ai>  Thu, 08 Oct 2020 21:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (0.7.0-1jammy) jammy; urgency=high

  * Split resources into multiple packages (#36 <https://github.com/ros-planning/moveit_resources/issues/36>)
  * Remove solver attempts (#35 <https://github.com/ros-planning/moveit_resources/issues/35>)
  * Contributors: Michael Görner, Robert Haschke

 -- Mike Lautman <mike@picknik.ai>  Wed, 12 Aug 2020 21:00:00 -0000

=== debian/control ===
Source: ros-humble-moveit-resources-panda-moveit-config
Section: misc
Priority: optional
Maintainer: Mike Lautman <mike@picknik.ai>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: http://moveit.ros.org/
Standards-Version: 3.9.2

Package: ros-humble-moveit-resources-panda-moveit-config
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-joint-state-publisher, ros-humble-joint-state-publisher-gui, ros-humble-moveit-resources-panda-description, ros-humble-robot-state-publisher, ros-humble-xacro, ros-humble-ros-workspace
Description: MoveIt Resources for testing: Franka Emika Panda A project-internal configuration for testing in MoveIt.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-resources-panda-moveit-config//opt/ros/humble/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install

## ros-humble-moveit-resources-panda-moveit-config 2.0.7

=== debian/changelog ===
ros-humble-moveit-resources-panda-moveit-config (2.0.7-1bookworm) bookworm; urgency=high

  * Update ros2 control usage (#192 <https://github.com/ros-planning/moveit_resources/issues/192>) (#193 <https://github.com/ros-planning/moveit_resources/issues/193>)
  * Replace Isaac with TopicBased (#163 <https://github.com/ros-planning/moveit_resources/issues/163>)
  * Add execution_duration_monitoring param to the example config (#160 <https://github.com/ros-planning/moveit_resources/issues/160>)
  * Fix xacro deprecation warning: use xacro.load_yaml() (#156 <https://github.com/ros-planning/moveit_resources/issues/156>)
  * Add Pilz to panda launch (#154 <https://github.com/ros-planning/moveit_resources/issues/154>)
  * Add pilz_industrial_motion_planner_planning.yaml (#151 <https://github.com/ros-planning/moveit_resources/issues/151>)
  * Contributors: AndyZe, Giovanni, Jafar, Sebastian Jahr, Stephanie Eng

 -- Mike Lautman <mike@picknik.ai>  Tue, 02 Apr 2024 16:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (2.0.6-1bookworm) bookworm; urgency=high

  * fake_components -> mock_components (#147 <https://github.com/ros-planning/moveit_resources/issues/147>)
  * Rename cartesian_limits.yaml (#146 <https://github.com/ros-planning/moveit_resources/issues/146>)
  * Contributors: AndyZe, Tyler Weaver

 -- Mike Lautman <mike@picknik.ai>  Sun, 17 Jul 2022 16:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (2.0.5-1bookworm) bookworm; urgency=high

  * Fix a typo in chomp_planning.yaml (#143 <https://github.com/ros-planning/moveit_resources/issues/143>)
  * Update ros2_control launching (#140 <https://github.com/ros-planning/moveit_resources/issues/140>)
  * Proper scoping for controllers in Panda Config (#132 <https://github.com/ros-planning/moveit_resources/issues/132>)
  * Contributors: AndyZe, David V. Lu!!, Stephanie Eng

 -- Mike Lautman <mike@picknik.ai>  Fri, 24 Jun 2022 16:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (2.0.4-1bookworm) bookworm; urgency=high

  * Explicitly use CHOMP and OMPL planners (#135 <https://github.com/ros-planning/moveit_resources/issues/135>)
  * Rename Panda Controller Files (#127 <https://github.com/ros-planning/moveit_resources/issues/127>)
  * Fix controller_manager node's output type (#129 <https://github.com/ros-planning/moveit_resources/issues/129>)
  * Black Formatting for Launch Files (#128 <https://github.com/ros-planning/moveit_resources/issues/128>)
  * Refactor panda demo.launch to use moveit_configs_utils (#119 <https://github.com/ros-planning/moveit_resources/issues/119>)
  * Remove stomp configuration file (#126 <https://github.com/ros-planning/moveit_resources/issues/126>)
  * Restore panda_gripper_controllers.yaml. Rename panda_moveit_controllers.yaml (#117 <https://github.com/ros-planning/moveit_resources/issues/117>)
  * Delete deprecated Panda config and launch files (#98 <https://github.com/ros-planning/moveit_resources/issues/98>)
  * No initial velocity conditions (#111 <https://github.com/ros-planning/moveit_resources/issues/111>)
  * ros2_control update: initial_position -> initial_value (#110 <https://github.com/ros-planning/moveit_resources/issues/110>)
  * Update yaml parameters for moveit_configs_utils (#108 <https://github.com/ros-planning/moveit_resources/issues/108>)
  * Port PRBT packages for PILZ planner tests (#101 <https://github.com/ros-planning/moveit_resources/issues/101>)
  * Adding RPBT config (#43 <https://github.com/ros-planning/moveit_resources/issues/43>)
    to speed up test time by skipping trajectory in fake execution
  * Contributors: AndyZe, Christian Henkel, David V. Lu!!, Henning Kayser, Jafar, Jafar Abdi, Sebastian Jahr, Stephanie Eng

 -- Mike Lautman <mike@picknik.ai>  Wed, 18 May 2022 16:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (2.0.3-1bookworm) bookworm; urgency=high

  * Migrate to joint state broadcaster
  * Add panda_hand_controller to demo.launch.py (#87 <https://github.com/ros-planning/moveit_resources/issues/87>)
  * Add fake controller for panda_hand (#73 <https://github.com/ros-planning/moveit_resources/issues/73>)
  * Contributors: Jafar Abdi, Marq Rasmussen, Vatan Aksoy Tezer

 -- Mike Lautman <mike@picknik.ai>  Wed, 15 Sep 2021 16:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (2.0.2-1bookworm) bookworm; urgency=high

  * Add missing ros2_control parameters (#74 <https://github.com/ros-planning/moveit_resources/issues/74>)
  * Add Panda demo.launch.py and RViz config (#64 <https://github.com/ros-planning/moveit_resources/issues/64>)
  * Remove move group prefixes from rviz configs (#62 <https://github.com/ros-planning/moveit_resources/issues/62>)
  * Ensure panda joint limits have the proper type (#63 <https://github.com/ros-planning/moveit_resources/issues/63>)
  * Contributors: AndyZe, Henning Kayser, Vatan Aksoy Tezer

 -- Mike Lautman <mike@picknik.ai>  Sun, 23 May 2021 16:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (2.0.1-1bookworm) bookworm; urgency=high

  * Update panda configs for ros2_control (#51 <https://github.com/ros-planning/moveit_resources/issues/51>)
  * Contributors: Jafar Abdi, Tyler Weaver

 -- Mike Lautman <mike@picknik.ai>  Thu, 08 Apr 2021 16:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (2.0.0-1bookworm) bookworm; urgency=high

  * Port and modernize CMakeLists.txt + package.xml for ROS2 (#26 <https://github.com/ros-planning/moveit_resources/issues/26>, #31 <https://github.com/ros-planning/moveit_resources/issues/31>)
  * Contributors: Henning Kayser, Jafar Abdi, Mike Lautman, Nathan Brooks

 -- Mike Lautman <mike@picknik.ai>  Thu, 19 Nov 2020 16:00:00 -0000

ros-humble-moveit-resources-panda-moveit-config (0.7.1-1bookworm) bookworm; urgency=high

  * Fix self-colliding 'extended' pose (#42 <https://github.com/ros-planning/moveit_resources/issues/42>)
  * Contributors: Henning Kayser

 -- Mike Lautman <mike@picknik.ai>  Thu, 08 Oct 2020 16:00:00 -0000



=== debian/rules ===
--- 
+++ 
@@ -57,7 +57,7 @@
 	# in the install tree and source it.  It will set things like
 	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
 	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
-	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-resources-panda-moveit-config//opt/ros/humble/lib/
+	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-moveit-resources-panda-moveit-config//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-moveit-resources-panda-moveit-config//opt/ros/humble/opt/moveit_resources_panda_moveit_config/lib/
 
 override_dh_auto_install:
 	# In case we're installing to a non-standard location, look for a setup.sh
